package intrinsic.mx.rpc.xml;

public class SchemaMarshaller extends Object {

	/** Accessors */
	public boolean validating;

	/** Variables */

	/** Constants */
	public static final double UBYTE_MAX_VALUE = 0;
	public static final double ULONG_MAX_VALUE = 0;
	public static final double FLOAT_MAX_VALUE = 0;
	public static final double FLOAT_MIN_VALUE = 0;
	public static final double SHORT_MAX_VALUE = 0;
	public static final double SHORT_MIN_VALUE = 0;
	public static final double LONG_MIN_VALUE = 0;
	public static final double BYTE_MIN_VALUE = 0;
	public static final double USHORT_MAX_VALUE = 0;
	public static final double LONG_MAX_VALUE = 0;
	public static final double BYTE_MAX_VALUE = 0;

	/** Class Accessors */

	/** Class variables */
	public static intrinsic.RegExp whitespaceReplacePattern;
	public static intrinsic.RegExp whitespaceCollapsePattern;
	public static boolean byteArrayAsBase64Binary;
	public static intrinsic.RegExp whitespaceTrimPattern;

/** Contructors */
public SchemaMarshaller() {
}

public SchemaMarshaller(Object arg0, Object arg1) {
}


/** Static Methods */
public static native Object guessSimpleType(Object arg0);

/** Methods */
public native Object unmarshall(Object arg0);
public native Object unmarshall(Object arg0, intrinsic.QName arg1);
public native Object unmarshall(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native boolean unmarshallBoolean(Object arg0);
public native boolean unmarshallBoolean(Object arg0, intrinsic.QName arg1);
public native boolean unmarshallBoolean(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native Object unmarshallDuration(Object arg0);
public native Object unmarshallDuration(Object arg0, intrinsic.QName arg1);
public native Object unmarshallDuration(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native String marshallDuration(Object arg0);
public native String marshallDuration(Object arg0, intrinsic.QName arg1);
public native String marshallDuration(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native intrinsic.flash.utils.ByteArray unmarshallHexBinary(Object arg0);
public native intrinsic.flash.utils.ByteArray unmarshallHexBinary(Object arg0, intrinsic.QName arg1);
public native intrinsic.flash.utils.ByteArray unmarshallHexBinary(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native String marshallBase64Binary(Object arg0);
public native String marshallBase64Binary(Object arg0, intrinsic.QName arg1);
public native String marshallBase64Binary(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native Object unmarshallAny(Object arg0);
public native Object unmarshallAny(Object arg0, intrinsic.QName arg1);
public native Object unmarshallAny(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native String unmarshallString(Object arg0);
public native String unmarshallString(Object arg0, intrinsic.QName arg1);
public native String unmarshallString(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native String marshallDouble(Object arg0);
public native String marshallDouble(Object arg0, intrinsic.QName arg1);
public native String marshallDouble(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native String marshallDecimal(Object arg0);
public native String marshallDecimal(Object arg0, intrinsic.QName arg1);
public native String marshallDecimal(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native Object unmarshallDatetime(Object arg0);
public native Object unmarshallDatetime(Object arg0, intrinsic.QName arg1);
public native Object unmarshallDatetime(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native Object marshall(Object arg0);
public native Object marshall(Object arg0, intrinsic.QName arg1);
public native Object marshall(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native double unmarshallFloat(Object arg0);
public native double unmarshallFloat(Object arg0, intrinsic.QName arg1);
public native double unmarshallFloat(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native double unmarshallDecimal(Object arg0);
public native double unmarshallDecimal(Object arg0, intrinsic.QName arg1);
public native double unmarshallDecimal(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native String marshallDatetime(Object arg0);
public native String marshallDatetime(Object arg0, intrinsic.QName arg1);
public native String marshallDatetime(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native double unmarshallInteger(Object arg0);
public native double unmarshallInteger(Object arg0, intrinsic.QName arg1);
public native double unmarshallInteger(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native String marshallInteger(Object arg0);
public native String marshallInteger(Object arg0, intrinsic.QName arg1);
public native String marshallInteger(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native Object marshallAny(Object arg0);
public native Object marshallAny(Object arg0, intrinsic.QName arg1);
public native Object marshallAny(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native String marshallFloat(Object arg0);
public native String marshallFloat(Object arg0, intrinsic.QName arg1);
public native String marshallFloat(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native String marshallHexBinary(Object arg0);
public native String marshallHexBinary(Object arg0, intrinsic.QName arg1);
public native String marshallHexBinary(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native String marshallString(Object arg0);
public native String marshallString(Object arg0, intrinsic.QName arg1);
public native String marshallString(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native Object unmarshallDate(Object arg0);
public native Object unmarshallDate(Object arg0, intrinsic.QName arg1);
public native Object unmarshallDate(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native String marshallGregorian(Object arg0);
public native String marshallGregorian(Object arg0, intrinsic.QName arg1);
public native String marshallGregorian(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native intrinsic.flash.utils.ByteArray unmarshallBase64Binary(Object arg0);
public native intrinsic.flash.utils.ByteArray unmarshallBase64Binary(Object arg0, intrinsic.QName arg1);
public native intrinsic.flash.utils.ByteArray unmarshallBase64Binary(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native Object unmarshallGregorian(Object arg0);
public native Object unmarshallGregorian(Object arg0, intrinsic.QName arg1);
public native Object unmarshallGregorian(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native double unmarshallDouble(Object arg0);
public native double unmarshallDouble(Object arg0, intrinsic.QName arg1);
public native double unmarshallDouble(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);
public native String marshallBoolean(Object arg0);
public native String marshallBoolean(Object arg0, intrinsic.QName arg1);
public native String marshallBoolean(Object arg0, intrinsic.QName arg1, intrinsic.XML arg2);

}
